-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

CaptainClass = class();

function CaptainClass:Constructor()
	configHelper:RegisterBarCreator( "Heralds", 		"Heralds", 	self.Heralds );
	configHelper:RegisterBarCreator( "Tier1 Skills", 	"Tier1", 	self.Tier1 );
	configHelper:RegisterBarCreator( "Tier2 Skills", 	"Tier2",	self.Tier2 );
	configHelper:RegisterBarCreator( "Marks", 			"Marks",	self.Marks );
	configHelper:RegisterBarCreator( "Tactics", 		"Tactics",	self.Tactics );
	configHelper:RegisterBarCreator( "Defeat Skills", 	"DefeatResponse",	self.DefeatResponse );
	configHelper:ConstructBars();
end

function CaptainClass:Heralds( override )
	configHelper:CreateBar( override, "Heralds", 12, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Banner of War" );
	configHelper:SetBuffTrigger( "Banner of Hope" );
	configHelper:SetBuffTrigger( "Banner of Victory" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x70002F7A", 6, 10 );
	configHelper:AddShortcut( 2, "0x70002FAF", 6, 24 );
	configHelper:AddShortcut( 3, "0x70002F1A", 6, 34 );
end

function CaptainClass:Tier1( override )
	configHelper:CreateBar( override, "Tier1", 2, 1, 2, 240, 350 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Battle-readied" );
	configHelper:AddShortcut( 1, "0x70002FCF", 6, 2 );
	configHelper:AddShortcut( 2, "0x70003E50", 6, 10 );
end

function CaptainClass:Tier2( override )
	configHelper:CreateBar( override, "Tier2", 30, 1, 1, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Battle-hardened" );
	configHelper:AddShortcut( 1, "0x7000AD9A", 6, 30 );
	configHelper:AddShortcut( 1, "0x70017D31", 6, 52 );
end

function CaptainClass:Marks( override )
	configHelper:CreateBar( override, "Marks", 12, 1, 3, 240, 450 );
	configHelper:AddShortcut( 1, "0x70003E4F", 6, 12 );
	configHelper:AddShortcut( 2, "0x70003E4D", 6, 18 );
	configHelper:AddShortcut( 3, "0x70003E56", 6, 30 );
end

function CaptainClass:Tactics( override )
	configHelper:CreateBar( override, "Tactics", 6, 1, 3, 240, 500 );
	configHelper:AddShortcut( 1, "0x70003E53", 6, 6 );
	configHelper:AddShortcut( 2, "0x70003E55", 6, 28 );
	configHelper:AddShortcut( 3, "0x70003E59", 6, 38 );
end

function CaptainClass:DefeatResponse( override )
	configHelper:CreateBar( override, "DefeatResponse", 2, 1, 4, 240, 550 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Enemy Defeat Response" );
	configHelper:AddShortcut( 1, "0x70002F4F", 6, 2 );
	configHelper:AddShortcut( 2, "0x70002F58", 6, 4 );
	configHelper:AddShortcut( 3, "0x7000FF8B", 6, 8 );
	configHelper:AddShortcut( 4, "0x70002F61", 6, 60 );
end